# tcpip.h File Reference

`#include "net/api_msg.h"`
`#include "net/pbuf.h"`

Go to the source code of this file.

## Data Structures

struct | tcpip_msg

## Enumerations

enum | tcpip_msg_type { TCPIP_MSG_API, TCPIP_MSG_INPUT }

## Functions

void | tcpip_init (void(*tcpip_init_done)(void *), void *arg)
void | tcpip_apimsg (struct api_msg *apimsg)
err_t | tcpip_input (struct pbuf *p, struct netif *inp)

## Enumeration Type Documentation

enum tcpip_msg_type

Enumeration values:

  TCPIP_MSG_API |
  TCPIP_MSG_INPUT |

## Function Documentation

void tcpip_apimsg | ( | struct api_msg * | apimsg | ) |

void tcpip_init | ( | void(* | tcpip_init_done)(void *),
|  | void * | arg
| ) |

err_t tcpip_input | ( | struct pbuf * | p,
|  | struct netif * | inp
| ) |